Status: Closed Start date:  
Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

The attached patch adds the following changes:

1. a new tab in the application settings named "Time tracking"

2. new settings to make the issue and/or comment fields mandatory for time logs. By default, the new settings are off in order to

not change the current behaviour.

The patch implements the following tickets:

#4885

#12236

#19813

#24049
Related issues:

Related to Redmine - Defect #28110: Don't allow reassigning reported hours to... Closed

Has duplicate Redmine - Feature #4885: Option to make time log comments field... Closed 2010-02-20

Has duplicate Redmine - Feature #12236: Option to make Comment field required Closed

Has duplicate Redmine - Feature #19813: Spent time comment mandatory Closed

Has duplicate Redmine - Defect #24049: Records in table time_entries with nul... Closed

Has duplicate Redmine - Patch #2196: Do not save @time_entry if comment/hour ... Closed 2008-11-15

Has duplicate Redmine - Feature #11039: Disable time tracking for projects Closed

Has duplicate Redmine - Feature #4690: Make it configurable to make the issue... Closed 2010-01-29

Has duplicate Redmine - Defect #29287: Log time allows pushing time entries w... Closed

Associated revisions

Revision 16176 - 2017-01-13 00:09 - Jean-Philippe Lang

Adds settings to make the issue and/or comment fields mandatory for time logs (#24577).

Patch by Marius BALTEANU.

Revision 16177 - 2017-01-13 00:10 - Jean-Philippe Lang

Adds :setting_timelog_required_fields string to locales (#24577).

History

#1 - 2016-12-11 02:22 - Marius BĂLTEANU

- File settings_to_make_issue_id_comment_fields_mandatory_v2.patch added

Attached the correct patch.

#2 - 2016-12-11 03:19 - Go MAEDA

- Has duplicate Feature #4885: Option to make time log comments field mandatory added

#3 - 2016-12-11 03:21 - Go MAEDA
- Has duplicate Feature #12236: Option to make Comment field required added

#4 - 2016-12-11 03:22 - Go MAEDA

- Has duplicate Feature #19813: Spent time comment mandatory added

#5 - 2016-12-11 03:25 - Go MAEDA

- Has duplicate Defect #24049: Records in table time_entries with null value at field issue_id added

#6 - 2016-12-11 03:35 - Go MAEDA

- Target version set to Candidate for next major release

This is a long awaited feature. There are at least 4 duplicate issues.

The patch works fine for me.

#7 - 2016-12-11 04:39 - Go MAEDA

- Has duplicate Patch #2196: Do not save @time_entry if comment/hour is nil added

#8 - 2016-12-11 05:01 - Go MAEDA

- Has duplicate Feature #11039: Disable time tracking for projects added

#9 - 2016-12-24 03:01 - Go MAEDA

- Has duplicate Feature #4690: Make it configurable to make the issue number mandatory when booking hours added

#10 - 2016-12-24 08:25 - Go MAEDA

- Target version changed from Candidate for next major release to 3.4.0

There are many duplicate issues, many people longing for this feature.

Setting target version to 3.4.0.

#11 - 2017-01-13 00:10 - Jean-Philippe Lang

- Tracker changed from Patch to Feature

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks. It's a nice addition.

#12 - 2017-04-28 16:39 - ivan perez

Hello, this is a very good addition, i tried to apply the patch but my company is argentitnian so we have the spanish version, can anybody help me?,

because this patch modify the en.yml file and in my case i have to modify the ES.yml file.

I can't wait until the 3.4 version comes...

i have redmine 3.2.2 so, i wait for your answer.

PD: it will be perfect if the patch allows to choose witch type of issue i want to make it mandatory..

If anybody can make the patch for redmine 3.2.2 spanish version and allows me to choose the type of issue i want to make it mandatory i will

apreciate it so much.

Thanks a lot i wait for your answers

(Sorry for my english)

#13 - 2017-11-06 15:27 - Pierre de LESPINAY

I tried to apply the patch in a version 3.2.5-1 (Since I can't just upgrade to 3.4)

/home/redmine/redmine$ patch -p1 < settings_to_make_issue_id_comment_fields_mandatory_v2.patch

 But I have 3 fails:
patching file app/helpers/settings_helper.rb

patching file app/models/time_entry.rb

patching file app/views/settings/_timelog.html.erb

patching file app/views/timelog/_form.html.erb

Hunk #1 FAILED at 12.

1 out of 1 hunk FAILED -- saving rejects to file app/views/timelog/_form.html.erb.rej

patching file config/locales/en.yml

Hunk #1 FAILED at 448.

1 out of 1 hunk FAILED -- saving rejects to file config/locales/en.yml.rej

patching file config/settings.yml

Hunk #1 FAILED at 279.

1 out of 1 hunk FAILED -- saving rejects to file config/settings.yml.rej

patching file test/unit/time_entry_test.rb

 Is it supposed to be applyable on a 3.2.5-1 version ?

#14 - 2017-11-06 22:21 - Marius BĂLTEANU

Pierre de LESPINAY wrote:

Is it supposed to be applyable on a 3.2.5-1 version ?

 No, it was never tested against 3.2.* or 3.3.* versions.

#15 - 2018-02-01 00:35 - Go MAEDA

- Related to Defect #24722: Error when trying to reassign spent time when deleting issues from different projects added

#16 - 2018-02-01 00:35 - Go MAEDA

- Related to deleted (Defect #24722: Error when trying to reassign spent time when deleting issues from different projects)

#17 - 2018-02-01 00:36 - Go MAEDA

- Related to Defect #28110: Don't allow reassigning reported hours to the project if issue is a required field for time logs added

#18 - 2018-07-27 14:06 - Marius BĂLTEANU

- Has duplicate Defect #29287: Log time allows pushing time entries without specifying any issue number added
